#### D.4.6.5 compose

Procedure from library `decomp.lib` (see decomp_lib).

Usage:
  compose(f1,...,fn); f1,...,fn poly
  compose(I); I ideal,

Assume:
  the ideal consists of n=ncols(I) >= 1 entries,
  where I[1],...,I[n-1] are univariate in the same variable
  but I[n] may be multivariate.

Return:
  poly, the composition I[1](I[2](...I[n]))

Note:
  this procedure is the inverse of decompose

See:
  decompose

Example:

    LIB "decomp.lib";
    ring r = 0,(x,y),dp;
    compose(x3+1,x2,y3+x);
    ==> y18+6xy15+15x2y12+20x3y9+15x4y6+6x5y3+x6+1
    // or the input as one ideal
    compose(ideal(x3+1,x2,x3+y));
    ==> x18+6x15y+15x12y2+20x9y3+15x6y4+6x3y5+y6+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.